%global momorel 1
Summary: XCircuit - program for drawing electrical circuit schematic diagrams 
name: xcircuit
Version: 3.4.28
Release: %{momorel}m%{?dist}
URL:  http://opencircuitdesign.com/xcircuit/
Source0: http://opencircuitdesign.com/xcircuit/archive/%{name}-%{version}.tgz
NoSource: 0
Source1: xcircuit.desktop
Source2: xcircuit.png
Patch0: xcircuit-3.4.28-tkvesion.patch
License: GPL
Group: Applications/Engineering
BuildRequires:    tk-devel, desktop-file-utils, libtool, libXt-devel, m4
BuildRequires:    ghostscript-devel, ngspice, libXpm-devel, zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: tk gtk2

%description
XCircuit is a UNIX/X11 program for drawing publishable-quality
electrical circuit schematic diagrams and related figures, and produce
circuit netlists through schematic capture. XCircuit regards circuits as
inherently hierarchical, and writes both hierarchical PostScript output
and hierarchical SPICE netlists. Circuit components are saved in and
retrieved from libraries which are fully editable. XCircuit does not
separate artistic expression from circuit drawing; it maintains
flexiblity in style without compromising the power of schematic capture.

%prep
# tarball includes unneeded symlink, so we firstly
# create a directory and expand tarball there.
%setup -q -T -c %{name}-%{version} -a 0
cd %{name}-%{version}
%patch0 -p1 -b .tclver

%build
cd %{name}-%{version}
%{__libtoolize} --force --copy
%{__aclocal}
%{__automake} --add-missing
%{__autoconf}

WISH=/usr/bin/wish
export WISH

%configure --program-transform-name="" \
	--with-tcl=%{_libdir} \
	--with-tcllibs=%{_libdir} \
	--with-tk=%{_libdir} \
	--with-tklibs=%{_libdir}
make AUTOMAKE="/bin/true" datadir=%{_libdir}

%install
rm -rf %{buildroot}
cd %{name}-%{version}
make DESTDIR=%{buildroot} datadir=%{_libdir} install install-man

chmod -x %{buildroot}%{_prefix}/lib*/%{name}-3.4/console.tcl

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
%{__cp} -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

sed -i "s|# xcircuit::library| xcircuit::library|" %{buildroot}%{_prefix}/lib*/%{name}-3.4/xcstartup.tcl

desktop-file-install --vendor=          \
    --add-category Engineering                 \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
%{_bindir}/update-desktop-database %{_datadir}/applications

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
%{_bindir}/update-desktop-database %{_datadir}/applications



%clean
rm -rf %{buildroot}

%files
%doc %{name}-%{version}/{CHANGES,COPYRIGHT,README*,TODO}
%doc %{name}-%{version}/examples/
%{_bindir}/%{name}
%{_prefix}/lib*/%{name}-3.4/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man1/*

%changelog
* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.4.28-1m)
- update to 3.4.28
- rebuild against Tcl/Tk 8.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.3.28-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.28-3m)
- %%NoSource -> NoSource

* Sun Sep 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.3.28-2m)
- revised spec for debuginfo

* Fri May 20 2005 zunda <zunda at freeshell.org>
- (3.3.28-1m)
- source update

* Fri May 20 2005 zunda <zunda at freeshell.org>
- (3.3.13-1m)
- updated source and URL
- added dependency to tk for /usr/bin/wish
- xcircuit-3.3.13-stack-smashing-attack.patch to avoid:
  wish: stack smashing attack in function loadfontfile

* Wed Feb 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.2.22-3m)
- enable x86_64.

* Sun Feb  6 2005 TAKAHASHI Tamotsu <tamo>
- (3.2.22-2m)
- configure --program-transform-name=""
- Huh? The previous changelog must be wrong!

* Fri Aug  6 2004 zunda <zunda at freshell.org>
- (1.4-3m)
- First import into Momonga
